Package com.sun.mail.imap.protocol

## Class Namespaces.Namespace

- java.lang.Object
- - com.sun.mail.imap.protocol.Namespaces.Namespace

Enclosing class:
  Namespaces

    public static class Namespaces.Namespace
    extends java.lang.Object

A single namespace entry.

### Field Summary

Fields
`char` `delimiter` Delimiter between names in this namespace.
`java.lang.String` `prefix` Prefix string for the namespace.

### Constructor Summary

Constructors
`Namespace​(Response r)` Parse a namespace element out of the response.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### prefix

    public java.lang.String prefix

Prefix string for the namespace.

#### delimiter

    public char delimiter

Delimiter between names in this namespace.

### Constructor Detail

#### Namespace

    public Namespace​(Response r)
              throws ProtocolException

Parse a namespace element out of the response.

Parameters:
  `r` - the Response to parse
Throws:
  `ProtocolException` - for any protocol errors